Browse Source

Changed Nova compute endpoint to new version

Current Nova service endpoint is set to legacy compute version: v2.
According to the doc [1], minimum microversion in Nova is 2.1,
which is a microversion compatible with the legacy v2 API.
After that, nova client will be able to add into a requests:
X-OpenStack-Nova-API-Version HTTP header, which is required for some
tempest tests.

[1] https://docs.openstack.org/api-guide/compute/microversions.html

Change-Id: I6a7305cbbab0b20a6b926f6358dfdf463df49652
changes/70/686370/3
Daniel Pawlik 1 month ago
parent
commit
03cde16ed6

+ 1
- 1
site/seaworthy-virt/software/config/endpoints.yaml View File

@@ -599,7 +599,7 @@ data:
host_fqdn_override:
default: null
path:
default: "/v2/%(tenant_id)s"
default: "/v2.1/%(tenant_id)s"
scheme:
default: "http"
public: "http"

+ 1
- 1
site/seaworthy/software/config/endpoints.yaml View File

@@ -777,7 +777,7 @@ data:
public:
host: compute-sw.DOMAIN
path:
default: "/v2/%(tenant_id)s"
default: "/v2.1/%(tenant_id)s"
scheme:
default: "http"
public: "https"

+ 1
- 1
type/skiff/config/endpoints.yaml View File

@@ -593,7 +593,7 @@ data:
host_fqdn_override:
default: null
path:
default: "/v2/%(tenant_id)s"
default: "/v2.1/%(tenant_id)s"
scheme:
default: "http"
public: "http"

+ 1
- 1
type/sloop/config/endpoints.yaml View File

@@ -593,7 +593,7 @@ data:
host_fqdn_override:
default: null
path:
default: "/v2/%(tenant_id)s"
default: "/v2.1/%(tenant_id)s"
scheme:
default: "http"
public: "http"

Loading…
Cancel
Save